[Bioperl-l] nmake - windows

Nathan Haigh nathanhaigh at ukonline.co.uk
Sun Oct 17 18:15:46 EDT 2004

I think I have located the problem with trying to run "nmake install" on
Windows. The version of ExtUtils::MakeMaker is < 6.06. Versions later or
equal to 6.06 deal with long command line params in the makefile by
splitting them into multiple commands executed by nmake; thereby getting
round the limitations of the number of chars allowed on the command line
(128 chars for windows).


Therefore, bioperl will need to have ExtUtils::MakeMaker 6.06 or later in
order to run the nmake test. There may also be limitations on other OS's (I
also read about VMS), so should this version of ExtUtils::MakeMaker be a
dependency of BioPerl?


However, I'm having problems getting XML::Parser to install after something
crashed! Not sure if it is something gone wrong when a program crashed, if
it's ExtUtils::MakeMaker (6.21) that I installed to get round the problem
above. Does anyone know if XML::Parser is required for ppm or cpan to run?
As both don't seem to want to work after the crash!


Anyway, as soon as I manage to get everything installed ok, I'll run the
BioPerl-live tests!!



avast! Antivirus: Outbound message clean.
Virus Database (VPS): 0442-3, 15/10/2004
Tested on: 17/10/2004 23:13:52
avast! is copyright (c) 2000-2003 ALWIL Software.

More information about the Bioperl-l mailing list